package com.hokori.webwx.Service.impl;

import org.json.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.hokori.webwx.Api.PersonalAPI;
import com.hokori.webwx.Service.ChatService;

import lombok.extern.slf4j.Slf4j;

@Service
@Slf4j
public class ChatServiceImpl implements ChatService {
    @Autowired
    private PersonalAPI personalAPI;

    public String getUser(String appid) {
        String smallHeadImgUrl = "";
        JSONObject name = new JSONObject(personalAPI.getProfile(appid));
        if (name.getInt("ret") == 200) {
            log.info("获取昵称");
            smallHeadImgUrl = name.getJSONObject("data").getString("smallHeadImgUrl");
            }
        return smallHeadImgUrl;
    }
}
